declare const _default: {
    name: string;
    props: {
        type: {
            type: StringConstructor;
            default: string;
        };
        message: StringConstructor;
        subMessage: StringConstructor;
        exceptionClass: StringConstructor;
        buttonText: StringConstructor;
        imageUrl: StringConstructor;
        pageEmpty: {
            type: BooleanConstructor;
            default: boolean;
        };
        componentPage: {
            type: BooleanConstructor;
            default: boolean;
        };
        xm_mode: StringConstructor;
        xm_mode_root: BooleanConstructor;
        xm_template: (ObjectConstructor | FunctionConstructor)[];
        xm_renderless: FunctionConstructor;
        xm_theme: StringConstructor;
        xm_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
        [key: string]: any;
    }>;
};
export default _default;
